Issue #16239 has been updated by cbandy (Chris Bandy).


@jeremyevans0 is correct. This is a fatal interaction between the PostgreSQL 12 client libraries and the GSS implementation provided by macOS. This is being tracked in the pg gem at https://github.com/ged/ruby-pg/issues/311.

An immediate workaround is to include `gssencmode: "disable"` or `gssencmode=disable` in your connection configuration.

----------------------------------------
Bug #16239: Crash when accessing postgresql-12
https://bugs.ruby-lang.org/issues/16239#change-82972

* Author: marksiemers (Mark Siemers)
* Status: Third Party's Issue
* Priority: Normal
* Assignee: 
* Target version: 
* ruby -v: ruby 2.6.4p104 (2019-08-28 revision 67798) [x86_64-darwin18]
* Backport: 2.5: UNKNOWN, 2.6: UNKNOWN
----------------------------------------
This may have been caused by a recent upgrade to postgresql 12 on my local machine (running OS X Mojave). pgAdmin 4 is also giving me an error.

I am running a rails console, and as soon as I try to do anything with ActiveRecord that accesses the database, I get an error and a crash report,



---Files--------------------------------
ruby_2019-10-04-105528_Marks-MacBook-Pro.crash (57.3 KB)


-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>